org.apache.maven.scm.provider.perforce.command.tag

## Class PerforceTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.perforce.command.tag.PerforceTagCommand

All Implemented Interfaces:
  Command, PerforceCommand

    public class PerforceTagCommand
    extends AbstractTagCommand
    implements PerforceCommand

Author:
  Mike Perham, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PerforceTagCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createLabelCommandLine(PerforceScmProviderRepository repo, File workingDirectory)`
`String` `createLabelSpecification(PerforceScmProviderRepository repo, String tag, boolean lock)`
`static org.codehaus.plexus.util.cli.Commandline` `createLabelsyncCommandLine(PerforceScmProviderRepository repo, File workingDirectory, ScmFileSet files, String tag)`
`protected ScmResult` `executeTagCommand(ScmProviderRepository repo, ScmFileSet files, String tag, ScmTagParameters scmTagParameters)`
`protected ScmResult` `executeTagCommand(ScmProviderRepository repo, ScmFileSet files, String tag, String message)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceTagCommand

    public PerforceTagCommand()

### Method Detail

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository repo,
                                          ScmFileSet files,
                                          String tag,
                                          String message)
                                   throws ScmException

Overrides:
  `executeTagCommand` in class `AbstractTagCommand`
Returns:
Throws:
  `ScmException`

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository repo,
                                          ScmFileSet files,
                                          String tag,
                                          ScmTagParameters scmTagParameters)
                                   throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`

#### createLabelCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createLabelCommandLine(PerforceScmProviderRepository repo,
                                                                                  File workingDirectory)

#### createLabelsyncCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createLabelsyncCommandLine(PerforceScmProviderRepository repo,
                                                                                      File workingDirectory,
                                                                                      ScmFileSet files,
                                                                                      String tag)

#### createLabelSpecification

    public String createLabelSpecification(PerforceScmProviderRepository repo,
                                           String tag,
                                           boolean lock)